
Your best bet to get Bacula compiled and running is
to read the online manual at:

  http://www.bacula.org

You will save yourself a lot of pain if you read
the manual -- it is online at the above site.
Barring reading the manual, you might try the
following:

To Configure it:

        CFLAGS="-g -O2" \
          ./configure \
            --sbindir=$HOME/bacula/bin \
            --sysconfdir=$HOME/bacula/bin \
            --with-pid-dir=$HOME/bacula/bin/working \
            --with-subsys-dir=$HOME/bacula/bin/working \
            --enable-smartalloc \
            --with-mysql \
            --with-working-dir=$HOME/bacula/bin/working \
            --with-dump-email=your@address.com \
            --with-job-email=your@address.com \
            --with-smtp-host=localhost


Build Bacula:

   make

   If you are doing a port, there should be no errors.  The most
   likely source of errors will probably come in the src/stored
   directory in time.c or dev.c.  There may also be problems in
   lib/signal.c as I currently pull in all Linux signals, some of
   which may not be available on your system.

To create the database:

   src/cats/make_bacula_tables

To install:

   make install

To start it:

   cd $HOME/bacula/bin
   ./bacula start

To start it (as a developer). This is not appropriate if you
are installing Bacula.

   ./startit
   ./console (or ./gnome-console)

To stop it:

  ./stopit

Well, it is all just a bit more complicated than that,
but you should have the idea.

Be sure you read the chapter about testing your tape drive!
Don't waste a lot of time setting up and running Bacula, if
your drive is not supported.

FreeBSD users, pay special attention to the Device configuration
parameters needed to deal with FreeBSD tape drivers.

License:
Please see the file LICENSE for the terms of the license.
